[Numpy-discussion] Numpy 1.6 schedule (was: Numpy 2.0 schedule)

Ralf Gommers ralf.gommers@googlemail....
Fri Mar 4 22:51:54 CST 2011


On Sat, Mar 5, 2011 at 3:54 AM, Christoph Gohlke <cgohlke@uci.edu> wrote:
>
>
> On 3/4/2011 1:00 AM, Christoph Gohlke wrote:
>
> I tested the 32 and 64 bit msvc9/MKL builds for Python 2.7 and 3.2.
> There are few test failures (listed below) that look familiar.
>
> I also ran tests and/or examples of a few 3rd party packages that were
> built against numpy 1.5.1: scipy, pygame, PyMOL, numexpr, matplotlib,
> basemap, scikits.learn, ETS.mayavi, Bottleneck, pytables, and pandas.

Thanks a lot for all the testing Christoph, that's very helpful!

> Most packages don't have any apparent problems.
> Scipy-0.9.0-win-amd64-py3.2 and Bottleneck-0.3.0 each have one test
> failure/error (also listed below).
>
> There is a problem with code generated by Cython 0.13: pytables-2.2.1
> and pandas-0.3.0, which were built with Cython 0.13, report several
> failures and do crash during the tests. This can probably be fixed by
> "recythonizing" with Cython 0.14.1.
>
> Christoph
>
>
>
>
> numpy-1.6.1.dev-win-amd64-py2.7
>
> ======================================================================
> ERROR: Ticket #99
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python27-x64\lib\site-packages\numpy\testing\decorators.py",
> line 215, in knownfailer
>     return f(*args, **kwargs)
>   File
> "X:\Python27-x64\lib\site-packages\numpy\core\tests\test_regression.py",
> line 147, in test_intp
>     np.intp('0x' + 'f'*i_width,16)
> TypeError: function takes at most 1 argument (2 given)

This was discussed before,
http://thread.gmane.org/gmane.comp.python.numeric.general/40121
It can be marked as knownfail in the 1.6.x branch if no one gets
around to looking at it.

> ======================================================================
> FAIL: test_special_values (test_umath_complex.TestClog)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python27-x64\lib\site-packages\numpy\testing\decorators.py",
> line 146, in skipper_func
>     return f(*args, **kwargs)
>   File
> "X:\Python27-x64\lib\site-packages\numpy\core\tests\test_umath_complex.py",
> line 248, in test_special_values
>     assert_almost_equal(np.log(x), y)
>   File "X:\Python27-x64\lib\site-packages\numpy\testing\utils.py", line
> 443, in assert_almost_equal
>     raise AssertionError(msg)
> AssertionError:
> Arrays are not almost equal to 7 decimals
>  ACTUAL: array([ nan+2.35619449j])
>  DESIRED: (inf+2.356194490192345j)
>
>
>
>
> numpy-1.6.1.dev-win-amd64-py3.2
>
> ======================================================================
> FAIL: test_special_values (test_umath_complex.TestClog)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 588, in assert_array_compare
>     assert_array_equal(xnanid, ynanid)
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 687, in assert_array_equal
>     verbose=verbose, header='Arrays are not equal')
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 618, in assert_array_compare
>     raise AssertionError(msg)
> AssertionError:
> Arrays are not equal
>
> (mismatch 100.0%)
>  x: array([ True], dtype=bool)
>  y: array(False, dtype=bool)
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 440, in assert_almost_equal
>     assert_almost_equal(actualr, desiredr, decimal=decimal)
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 447, in assert_almost_equal
>     return assert_array_almost_equal(actual, desired, decimal, err_msg)
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 775, in assert_array_almost_equal
>     header=('Arrays are not almost equal to %d decimals' % decimal))
> AssertionError:
> Arrays are not almost equal to 7 decimals
>
> (x and y nan location mismatch [ True], False mismatch)
>  x: array([ nan])
>  y: array(inf)
>
> During handling of the above exception, another exception occurred:
>
> Traceback (most recent call last):
>   File "X:\Python32\lib\site-packages\numpy\testing\decorators.py",
> line 147, in skipper_func
>     return f(*args, **kwargs)
>   File
> "X:\Python32\lib\site-packages\numpy\core\tests\test_umath_complex.py",
> line 248, in test_special_values
>     assert_almost_equal(np.log(x), y)
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 443, in assert_almost_equal
>     raise AssertionError(msg)
> AssertionError:
> Arrays are not almost equal to 7 decimals
>  ACTUAL: array([ nan+2.35619449j])
>  DESIRED: (inf+2.356194490192345j)

Those TestClog are marked as conditional knownfail on Windows
depending on a check for a few corner cases, I'm thinking it should
just be unconditional knownfail on Windows.


> numpy-1.6.1.dev-win32-py2.7
> numpy-1.6.1.dev-win32-py3.2
>
> ======================================================================
> FAIL: Test basic arithmetic function errors
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File
> "X:\Python27\lib\site-packages\numpy\core\tests\test_numeric.py", line
> 320, in test_floating_exceptions
>     np.power, ftype(2), ftype(2**fi.nexp))
>   File
> "X:\Python27\lib\site-packages\numpy\core\tests\test_numeric.py", line
> 261, in assert_raises_fpe
>     "Type %s did not raise fpe error '%s'." % (ftype, fpeerr))
>   File "X:\Python27\lib\site-packages\numpy\testing\utils.py", line 34,
> in assert_
>     raise AssertionError(msg)
> AssertionError: Type <type 'numpy.float64'> did not raise fpe error
> 'overflow'.

I had already opened #1755 for that. Would be good to have it fixed,
but not very urgent I'd say.


> ======================================================================
> FAIL: test_special_values (test_umath_complex.TestClog)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python27\lib\site-packages\numpy\testing\decorators.py",
> line 146, in skipper_func
>     return f(*args, **kwargs)
>   File
> "X:\Python27\lib\site-packages\numpy\core\tests\test_umath_complex.py",
> line 168, in test_special_values
>     self.assertRaises(FloatingPointError, np.log, x)
> AssertionError: FloatingPointError not raised
>
>
>
>
>
> scipy-0.9.0-win-amd64-py3.2
>
> ======================================================================
> FAIL: minimum position 7
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python32\lib\site-packages\nose\case.py", line 188, in runTest
>     self.test(*self.arg)
>   File
> "X:\Python32\lib\site-packages\scipy\ndimage\tests\test_measurements.py",
>  line 701, in test_minimum_position07
>     assert_equal(output[0], (0, 1))
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 251, in assert_equal
>     assert_equal(actual[k], desired[k], 'item=%r\n%s' % (k,err_msg),
> verbose)
>   File "X:\Python32\lib\site-packages\numpy\testing\utils.py", line
> 300, in assert_equal
>     raise AssertionError(msg)
> AssertionError:
> Items are not equal:
> item=0
>
>  ACTUAL: nan
>  DESIRED: 0

That one is new, but since we didn't test scipy 0.9.0 extensively on
py-3.2 it's not that surprising to get one failure.

Ralf


> Bottleneck-0.3.0.win32-py2.7
> Bottleneck-0.3.0.win-amd64-py2.7
>
> ======================================================================
> ERROR: Test group_nanmean.
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "X:\Python27-x64\lib\site-packages\nose\case.py", line 187, in
> runTest
>     self.test(*self.arg)
>   File "D:\Bottleneck-0.3.0\bottleneck\tests\group_test.py", line 63,
> in unit_maker
>     a1, lab1 = func(arr, label, axis=axis)
>   File "group_nanmean.pyx", line 74, in group.group_nanmean
> (bottleneck/src/group/group.c:2873)
>   File "group_nanmean.pyx", line 179, in group.group_nanmean_selector
> (bottleneck/src/group/group.c:3464)
> TypeError: Unsupported ndim/dtype (1/int32).


More information about the NumPy-Discussion mailing list